import codecs
import os
import sys

try:
    from setuptools import setup, find_packages
except:
    from distutils.core import setup
"""
打包的用的setup必须引入，
"""


def read(fname):
    """
    定义一个read方法，用来读取目录下的长描述
    我们一般是将README文件中的内容读取出来作为长描述，这个会在PyPI中你这个包的页面上展现出来，
    你也可以不用这个方法，自己手动写内容即可，
    PyPI上支持.rst格式的文件。暂不支持.md格式的文件，<BR>.rst文件PyPI会自动把它转为HTML形式显示在你包的信息页面上。
    """
    return codecs.open(os.path.join(os.path.dirname(__file__), fname), encoding='utf8').read()


NAME = "zhihu_crawler"


PACKAGES = ['zhihu_crawler']


DESCRIPTION = "知乎关键词搜索、热榜、用户信息、回答、专栏文章、评论等信息的抓取程序"


LONG_DESCRIPTION = read("README.rst")


KEYWORDS = "zhihu zhihu_crawler zhihu_scraper crawler scraper"


AUTHOR = "szm"


AUTHOR_EMAIL = "s17873288456@gmail.com"


URL = "https://github.com/su17873288456/zhihu_crawler"


VERSION = "0.0.1"


LICENSE = "MIT"


setup(
    name=NAME,
    version=VERSION,
    description=DESCRIPTION,
    long_description=LONG_DESCRIPTION,
    classifiers=[
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent'
    ],
    keywords=KEYWORDS,
    author=AUTHOR,
    author_email=AUTHOR_EMAIL,
    url=URL,
    license=LICENSE,
    packages=find_packages(),
    include_package_data=True,
    zip_safe=True,
)

# setup(
#     name=NAME,
#     version='1.0.0',
#     py_modules=['nester'],
#     author=AUTHOR,
#     author_email=AUTHOR_EMAIL,
#     url=URL,
#     description='修复若干问题...',
#
# )